qmgr(1B)

NAME
qmgr - pbs batch system manager

SYNOPSIS
qmgr [-a] [-c command] [-e] [-n] [-z] [server...]

DESCRIPTION
The qmgr command provides an administrator interface to the batch system.

The command reads directives from standard input. The syntax of each directive is checked and the appropriate request is sent to the batch server or servers.

The list or print subcommands of qmgr can be executed by general users. Creating or deleting a queue requries PBS Manager privilege. Setting or unsetting server or queue attributes requires PBS Operator or Manager privilege.

OPTIONS

-a  Abort qmgr on any syntax errors or any requests rejected by a server.

-c command
    Execute a single and exit qmgr .

-e  Echo all commands to standard output.

-n  No commands are executed, syntax checking only is performed.

-z  No errors are written to standard error.

OPERANDS
The operands identify the name of the batch server to which the administrator requests are sent. Each conforms to the following syntax:
where is the network name of the host on which the server is running and is the port number to which to connect. If is not specified, the default port number is used.

If is not specified, the administrator requests are sent to the local server.

STANDARD INPUT
The qmgr command reads standard input for directives until end of file is reached, or the exit or quit directive is read.

STANDARD OUTPUT
If Standard Output is connected to a terminal, a command prompt will be written to standard output when qmgr is ready to read a directive.

If the option is specified, qmgr will echo the directives read from standard input to standard output.

STANDARD ERROR
If the option is not specified, the qmgr command will write a diagnostic message to standard error for each error occurrence.

EXTENDED DESCRIPTION
If qmgr is invoked without the option and standard output is connected to a terminal, qmgr will write a prompt to standard output and read a directive from standard input.

Commands can be abbreviated to their minimum unambiguous form. A command is terminated by a new line character or a semicolon, ";", character. Multiple commands may be entered on a single line. A command may extend across lines by escaping the new line character with a back-slash "\".

Comments begin with the # character and continue to end of the line. Comments and blank lines are ignored by qmgr.

DIRECTIVE SYNTAX
A qmgr directive is one of the following forms:

Where,

command
    is the command to perform on a object. Commands are:

    active
        sets the active objects. If the active objects are specified, and the name is not given in a qmgr cmd the active object names will be used.

    create
        is to create a new object, applies to queues and nodes.

    delete
        is to destroy an existing object, applies to queues and nodes.

    set is to define or alter attribute values of the object.

    unset
        is to clear the value of attributes of the object. Note, this form does not accept an OP and value, only the attribute name.

    list
        is to list the current attributes and associated values of the object.

    print
        is to print all the queue and server attributes in a format that will be usable as input to the qmgr command.

names
    is a list of one or more names of specific objects The name list is in the form:
    with no intervening white space. The name of an object is declared when the object is first created. If the name is @server, then all the objects of specified type at the server will be effected.

attr
    specifies the name of an attribute of the object which is to be set or modified. If the attribute is one which consist of a set of resources, then the attribute is specified in the form:
    attribute_name.resource_name

OP  operation to be performed with the attribute and its value:

    =   set the value of the attribute. If the attribute has a existing value, the current value is replaced with the new value.

    +=  increase the current value of the attribute by the amount in the new value.

    -=  decrease the current value of the attribute by the amount in the new value.

value
    the value to assign to an attribute. If the value includes white space, commas or other special characters, such as the # character, the value string must be inclosed in quote marks (").

The following are examples of qmgr directives:

EXIT STATUS
Upon successful processing of all the operands presented to the qmgr command, the exit status will be a value of zero.

If the qmgr command fails to process any operand, the command exits with a value greater than zero.

SEE ALSO
pbs_server(8B), pbs_queue_attributes(7B), pbs_server_attributes(7B), qstart(8B), qstop(8B), qenable(8B), qdisable(8), pbs_resources(7B) and the PBS External Reference Specification